Bug 1309246 - python-signalfd: Provide a Python 3 subpackage [NEEDINFO]
python-signalfd: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-signalfd (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Laska
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
  Show dependency treegraph
 
Reported: 2016-02-17 05:26 EST by Petr Viktorin
Modified: 2017-06-09 15:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-signalfd-0.1-13.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-09 15:11:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dkrejci: needinfo? (jal233)
dkrejci: needinfo? (jal233)


Attachments (Terms of Use)
Add Python 3 (4.82 KB, patch)
2016-09-09 05:29 EDT, Dominika Krejčí
no flags Details | Diff

  None (edit)
Description Petr Viktorin 2016-02-17 05:26:36 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:23:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-04-20 08:36:06 EDT
Hello James,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Dominika Krejčí 2016-09-09 05:29 EDT
Created attachment 1199359 [details]
Add Python 3

Hi James,
here is the change needed to add Python 3 support. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15554669

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-25-x86_64, fedora-rawhide-x86_64, fedora-rawhide-i386).
Comment 4 Fedora Update System 2017-05-24 11:36:43 EDT
python-signalfd-0.1-13.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9db1c33a1e
Comment 5 Fedora Update System 2017-05-25 15:21:25 EDT
python-signalfd-0.1-13.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9db1c33a1e
Comment 6 Fedora Update System 2017-06-09 15:11:14 EDT
python-signalfd-0.1-13.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.